Subject: Building for MMU-less vexpress targets

From: [email-masked] (Arnd Bergmann)
Date: Tue, 6 Nov 2012 20:35:58 +0000

On Tuesday 06 November 2012, Will Deacon wrote:
>     ARM: nommu: remove MMU dependency from ARCH_MULTIPLATFORM
>     
>     ARCH_MULTIPLATFORM is the only way to select ARCH_VEXPRESS, so remove
>     the dependency on MMU and instead use it to predicate the selection of
>     ARM_PATCH_PHYS_VIRT.
>     
>     Although running a multi-platform kernel on a selection of MMU-less
>     targets might not yet be possible, the thing should build and targetting
>     a nommu platform is already a fairly involved exercise.
>     
>     Cc: Arnd Bergmann <[email-masked]>
>     Cc: Pawel Moll <[email-masked]>
>     Signed-off-by: Will Deacon <[email-masked]>
> 

Acked-by: Arnd Bergmann <[email-masked]>

Before we apply this, I should probably do a round of randconfig tests. Right now,
I have a series that fixes all build errors we currently get from randconfig
(which always selects MULTIPLATFORM since it doesn't randomize choice statements),
but I am pretty sure that adding NOMMU into the mix gives us a lot of new errors.

	Arnd